!
Module Advertisement
implicit none
parameter pi=3.14159265358932384626433832795d00, &
		        tolerance=1.d-08, &
				limit1=.5d-17, limit2=.5d-17
character out*11
integer*4 n, l, m, n_max, l_max, m_min, m_max, node_max, odd, switch, terms
real*8 width, exc, rv, rad, z0, rs, ox, teQexc, teQscat, tmQexc, tmQscat, pr, pz, pf !
real*8, allocatable :: node(:), weight(:), nu(:)
complex*16 r_i, Et, Ef, pe(3), pm(3)
complex*16, allocatable :: nPole(:), lPole(:)
complex*16, allocatable :: n_M(:,:), n_N(:,:), l_M(:,:), l_N(:,:)
complex*16, allocatable :: a_e1(:), a_e2(:), a_o1(:), a_o2(:)
complex*16, allocatable :: a_p1(:), a_p2(:), a_m1(:), a_m2(:)
complex*16, allocatable :: c_e1(:), c_e2(:), c_o1(:), c_o2(:)
complex*16, allocatable :: c_p1(:), c_p2(:), c_m1(:), c_m2(:)
complex*16, allocatable :: d_e1(:), d_e2(:), d_o1(:), d_o2(:)
complex*16, allocatable :: d_p1(:), d_p2(:), d_m1(:), d_m2(:)
complex*16, allocatable :: b_e1(:), b_e2(:), b_o1(:), b_o2(:)
complex*16, allocatable :: b_p1(:), b_p2(:), b_m1(:), b_m2(:)
complex*16 , allocatable :: MATRIX(:,:), M11(:,:), M12(:,:), M21(:,:), M22(:,:)
End Module Advertisement
!